/*! \file 
    \brief Nahrn modelu ze souboru pro metodu FFP1.
*/ 

#pragma once

#include "CAllocateHierarchy.h"


class CAllocationMeshCB;

/// Tda pro nahrn modelu ze souboru pro metodu FFP1.
class CAllocateHierarchyFixed: public CAllocateHierarchy
{
public:

	CAllocateHierarchyFixed(CAllocationMeshCB *pMesh) : CAllocateHierarchy(pMesh) {}
	virtual ~CAllocateHierarchyFixed() {}

protected:

	virtual HRESULT GenerateSkinnedMesh( IDirect3DDevice9 *pd3dDevice, D3DXMESHCONTAINER_BASE *pMeshContainer );

};
