/*! \file 
    \brief Nahrn modelu ze souboru pro metodu FFP2.
*/ 

#pragma once

#include "CAllocateHierarchy.h"


class CAllocationMeshCB;

/// Tda pro nahrn modelu ze souboru pro metodu FFP2
class CAllocateHierarchyFixedIndexed: public CAllocateHierarchy
{
public:

	CAllocateHierarchyFixedIndexed(CAllocationMeshCB *pMesh) : CAllocateHierarchy(pMesh) {}
	virtual ~CAllocateHierarchyFixedIndexed() {}

protected:

	virtual HRESULT GenerateSkinnedMesh( IDirect3DDevice9 *pd3dDevice, D3DXMESHCONTAINER_BASE *pMeshContainer );

};
