/*! \file 
    \brief Model pro metodu FFP2.
*/ 

#pragma once

#include "CMesh.h"

/// Tda modelu pro metodu FFP2
class CFixedIndexedMesh : 
		public CMesh
{
public:

	CFixedIndexedMesh(std::wstring filename, bool Weld, bool Optimize=true) : CMesh(filename,Weld,Optimize) {}
	virtual ~CFixedIndexedMesh() {}


protected:

	virtual ID3DXAllocateHierarchy* GetNewAlloc();

	virtual void	SetBonesToEffect (IDirect3DDevice9 *pd3dDevice, UINT iAttrib, LPD3DXMESHCONTAINER pMeshContainerBase);
	virtual void	DrawMeshContainer(IDirect3DDevice9 *pd3dDevice, LPD3DXMESHCONTAINER pMeshContainerBase, LPD3DXFRAME pFrameBase);
};






