/*! \file 
    \brief Model pro metodu FFP1.
*/ 

#pragma once

#include "CMesh.h"

/// Tda modelu pro metodu FFP1
class CFixedMesh : 
		public CMesh
{
public:

	CFixedMesh(std::wstring filename, bool weld, bool Optimize=true) : CMesh(filename,weld,Optimize) {}
	virtual ~CFixedMesh() {}


protected:

	virtual	ID3DXAllocateHierarchy* GetNewAlloc();

	virtual void	SetBonesToEffect (IDirect3DDevice9 *pd3dDevice, UINT iAttrib, LPD3DXMESHCONTAINER pMeshContainerBase);
	virtual void	DrawMeshContainer(IDirect3DDevice9 *pd3dDevice, LPD3DXMESHCONTAINER pMeshContainerBase, LPD3DXFRAME pFrameBase);
};






