/*! \file 
    \brief Model pro softwarov potan vertex blending.
*/ 

#pragma once

#include "CMesh.h"

/// Tda modelu pro softwarov potan vertex blending.
class CSWMesh : 
		public CMesh
{
public:

	CSWMesh(std::wstring filename, bool Weld, bool Optimize=true) : CMesh(filename,Weld,Optimize) {}
	virtual ~CSWMesh() {}


protected:

	virtual	ID3DXAllocateHierarchy* GetNewAlloc();

	virtual HRESULT Optimize(IDirect3DDevice9 *pd3dDevice);
	virtual void	SetBonesToEffect (IDirect3DDevice9 *pd3dDevice, UINT iAttrib, LPD3DXMESHCONTAINER pMeshContainerBase);
	virtual void	DrawMeshContainer(IDirect3DDevice9 *pd3dDevice, LPD3DXMESHCONTAINER pMeshContainerBase, LPD3DXFRAME pFrameBase);

	void UpdateSkinnedMesh(D3DXMATRIX *m_pBoneMatrices, BYTE *pSource,BYTE * pDest, UINT iAttrib, LPD3DXBONECOMBINATION pBoneComb, DWORD dwMaxInfl);
};






