/*! \file 
    \brief Interface pro speciln nabdku spjatou s konkrtn metodou skinningu
*/ 

#pragma once


class CMesh;

#define IDC_MESH_DEPENDENT 10000


/// Interface pro speciln nabdku spjatou s konkrtn metodou skinningu
class CMeshMenu
{
public:

	CMeshMenu(CMesh *pMesh) { m_pMesh = pMesh; }
	virtual ~CMeshMenu() {};

    /// Reakce na stisk prvku uivatelskho rozhran
	virtual void OnGuiEvent( UINT nEvent, int nControlID, CDXUTControl* pControl ) {};
    /// Inicializace
	virtual void InitUserInterface() {};
    /// Reakce na zmnu D3D zazen
	virtual HRESULT OnResetDevice( IDirect3DDevice9* pd3dDevice, const D3DSURFACE_DESC* pBackBufferSurfaceDesc ) 
		{ return S_OK; }
    /// Vrt tdu nabdky
	CDXUTDialog* GetDialog() 
		{ return &m_Dialog; }


protected:

	CMesh*			m_pMesh;

	CDXUTDialog		m_Dialog;
};