#include <dxstdafx.h>
#include <fstream>

#include "CConfigFile.h"

CConfigFile::CConfigFile(std::wstring filename) :
	m_strFilename(filename)
{
	m_listData.clear();
	ReadFile();
}



CConfigFile::~CConfigFile()
{
	m_listData.clear();
}



FLOAT CConfigFile::GetData(std::string strBone, INT iPose)
{
	for(int i=0; i<m_listData.size(); ++i)
	{

		if ( strBone == m_listData[i].strBone && iPose == m_listData[i].iPose )
			return m_listData[i].fData;
	}

	return 1.0f;
}


void CConfigFile::ReadFile()
{
	FILE *file;
	SBonePoseData data;
	CHAR str[255];
	CHAR c;
	int i;

	if (file = _wfopen(m_strFilename.c_str(),L"rt") ) 
	{
		while ((c=getc(file)) != EOF)
		{
			// komentar, cist do konce radky
			if (c == '#') 
			{
				while(getc(file)!='\n');
				continue;
			}
			else ungetc(c,file);

			i=fscanf(file,"%250s %d %f\n",str, &data.iPose, &data.fData);
		
			data.strBone = std::string(str);
			m_listData.push_back(data);
		}

		fclose(file);
	}



}