#pragma once

#include <vector>
#include <string>

struct SBonePoseData
{
	std::string		strBone;
	INT				iPose;
	FLOAT			fData;
};



typedef std::vector<SBonePoseData> BonePoseDataList;

class CConfigFile
{
public:

	CConfigFile(std::wstring filename);
	virtual ~CConfigFile();

	FLOAT	GetData(std::string strBone, INT iPose);
	void	ReadFile();


protected:

	std::wstring		m_strFilename;
	BonePoseDataList	m_listData;

};