/*! \file 
    \brief Nahrn modelu ze souboru pro metodu SW.
*/ 

#pragma once

#include "CAllocateHierarchy.h"


class CAllocationMeshCB;

/// Tda pro nahrn modelu ze souboru pro metodu SW
class CAllocateHierarchySW: public CAllocateHierarchy
{
public:

	CAllocateHierarchySW(CAllocationMeshCB *pMesh) : CAllocateHierarchy(pMesh) {}
	virtual ~CAllocateHierarchySW() {}

protected:

	virtual HRESULT GenerateSkinnedMesh( IDirect3DDevice9 *pd3dDevice, D3DXMESHCONTAINER_BASE *pMeshContainer );

};
