/*! \file 
    \brief Speciln nabdka pro tdu CExpMesh
*/ 

#pragma once

#include "CMeshMenu.h"

/// Speciln nabdka pro tdu CExpMesh
class CExpMenu : public CMeshMenu
{
public:

	enum IDControl { 
		IDC_POSE = IDC_MESH_DEPENDENT,
		IDC_HIGHLIGHT_EXVERT
	};

	CExpMenu(CMesh *pMesh) : CMeshMenu(pMesh) {}
	~CExpMenu() {}

	virtual void OnGuiEvent( UINT nEvent, int nControlID, CDXUTControl* pControl );
	virtual void InitUserInterface();
	virtual HRESULT OnResetDevice( IDirect3DDevice9* pd3dDevice, const D3DSURFACE_DESC* pBackBufferSurfaceDesc );
    /// Nastaven potu pz
	void SetPoseCount(int iPoseCount);


};
